Recommended update for trustedgrub2

SUSE Recommended Update: Recommended update for trustedgrub2
Announcement ID: SUSE-RU-2019:0260-1
Rating: moderate
References: #1052420 #1084632 #1100984
Affected Products:
  • SUSE Linux Enterprise Server 12-SP4
  • SUSE Linux Enterprise Server 12-SP3
  • SUSE Linux Enterprise Desktop 12-SP4
  • SUSE Linux Enterprise Desktop 12-SP3

An update that has three recommended fixes can now be installed.

Description:

This update for trustedgrub2 provides the following fixes:

  • Fix "no symbol table" error on new binutils. (bsc#1100984)
  • Fix packed-not-aligned error on GCC 8. (bsc#1084632)
  • Allow to execute menuentry unrestricted as default. (fate#318574, bsc#1052420)
  • Disable PIE building, as it does not make sense for bootloader.

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Server 12-SP4:
    zypper in -t patch SUSE-SLE-SERVER-12-SP4-2019-260=1
  • SUSE Linux Enterprise Server 12-SP3:
    zypper in -t patch SUSE-SLE-SERVER-12-SP3-2019-260=1
  • SUSE Linux Enterprise Desktop 12-SP4:
    zypper in -t patch SUSE-SLE-DESKTOP-12-SP4-2019-260=1
  • SUSE Linux Enterprise Desktop 12-SP3:
    zypper in -t patch SUSE-SLE-DESKTOP-12-SP3-2019-260=1

Package List:

  • SUSE Linux Enterprise Server 12-SP4 (noarch):
    • trustedgrub2-i386-pc-1.4.0-3.3.1
  • SUSE Linux Enterprise Server 12-SP4 (x86_64):
    • trustedgrub2-1.4.0-3.3.1
  • SUSE Linux Enterprise Server 12-SP3 (noarch):
    • trustedgrub2-i386-pc-1.4.0-3.3.1
  • SUSE Linux Enterprise Server 12-SP3 (x86_64):
    • trustedgrub2-1.4.0-3.3.1
  • SUSE Linux Enterprise Desktop 12-SP4 (noarch):
    • trustedgrub2-i386-pc-1.4.0-3.3.1
  • SUSE Linux Enterprise Desktop 12-SP4 (x86_64):
    • trustedgrub2-1.4.0-3.3.1
  • SUSE Linux Enterprise Desktop 12-SP3 (noarch):
    • trustedgrub2-i386-pc-1.4.0-3.3.1
  • SUSE Linux Enterprise Desktop 12-SP3 (x86_64):
    • trustedgrub2-1.4.0-3.3.1

References: